xine-lib: _ZOOM_FILTER_FX_WRAPPER_DATA Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
_ZOOM_FILTER_FX_WRAPPER_DATA Struct Reference

## Data Fields
PluginParam | enabled_bp
PluginParameters | params
unsigned int * | coeffs
unsigned int * | freecoeffs
signed int * | brutS
signed int * | freebrutS
signed int * | brutD
signed int * | freebrutD
signed int * | brutT
signed int * | freebrutT
unsigned int | zoom_width
unsigned int | prevX
unsigned int | prevY
float | general_speed
int | reverse
char | theMode
int | waveEffect
int | hypercosEffect
int | vPlaneEffect
int | hPlaneEffect
char | noisify
int | middleX
int | middleY
int | mustInitBuffers
int | interlace_start
int | buffratio
int * | firedec
int | precalCoef [16][16]
int | wave
int | wavesp

## Field Documentation

## ◆ brutD

signed int* _ZOOM_FILTER_FX_WRAPPER_DATA::brutD

Referenced by zoomFilterFastRGB(), and zoomFilterVisualFXWrapper_init().

## ◆ brutS

signed int* _ZOOM_FILTER_FX_WRAPPER_DATA::brutS

Referenced by zoomFilterFastRGB(), and zoomFilterVisualFXWrapper_init().

## ◆ brutT

signed int* _ZOOM_FILTER_FX_WRAPPER_DATA::brutT

Referenced by makeZoomBufferStripe(), zoomFilterFastRGB(), and zoomFilterVisualFXWrapper_init().

## ◆ buffratio

int _ZOOM_FILTER_FX_WRAPPER_DATA::buffratio

modif by jeko : fixedpoint : buffration = (16:16) (donc 0<=buffration<=2^16)

Referenced by zoomFilterFastRGB(), and zoomFilterVisualFXWrapper_init().

## ◆ coeffs

unsigned int* _ZOOM_FILTER_FX_WRAPPER_DATA::coeffs

Referenced by zoomFilterVisualFXWrapper_init().

## ◆ enabled_bp

PluginParam _ZOOM_FILTER_FX_WRAPPER_DATA::enabled_bp

Referenced by zoomFilterFastRGB(), and zoomFilterVisualFXWrapper_init().

## ◆ firedec

int* _ZOOM_FILTER_FX_WRAPPER_DATA::firedec

Referenced by generateTheWaterFXHorizontalDirectionBuffer(), zoomFilterFastRGB(), zoomFilterVisualFXWrapper_free(), and zoomFilterVisualFXWrapper_init().

## ◆ freebrutD

signed int * _ZOOM_FILTER_FX_WRAPPER_DATA::freebrutD

Referenced by zoomFilterFastRGB(), zoomFilterVisualFXWrapper_free(), and zoomFilterVisualFXWrapper_init().

## ◆ freebrutS

signed int * _ZOOM_FILTER_FX_WRAPPER_DATA::freebrutS

Referenced by zoomFilterFastRGB(), zoomFilterVisualFXWrapper_free(), and zoomFilterVisualFXWrapper_init().

## ◆ freebrutT

signed int * _ZOOM_FILTER_FX_WRAPPER_DATA::freebrutT

Referenced by zoomFilterFastRGB(), zoomFilterVisualFXWrapper_free(), and zoomFilterVisualFXWrapper_init().

## ◆ freecoeffs

unsigned int * _ZOOM_FILTER_FX_WRAPPER_DATA::freecoeffs

Referenced by zoomFilterVisualFXWrapper_init().

## ◆ general_speed

float _ZOOM_FILTER_FX_WRAPPER_DATA::general_speed

Referenced by zoomFilterFastRGB(), zoomFilterVisualFXWrapper_init(), and zoomVector().

## ◆ hPlaneEffect

int _ZOOM_FILTER_FX_WRAPPER_DATA::hPlaneEffect

Referenced by zoomFilterFastRGB(), zoomFilterVisualFXWrapper_init(), and zoomVector().

## ◆ hypercosEffect

int _ZOOM_FILTER_FX_WRAPPER_DATA::hypercosEffect

Referenced by zoomFilterFastRGB(), zoomFilterVisualFXWrapper_init(), and zoomVector().

## ◆ interlace_start

int _ZOOM_FILTER_FX_WRAPPER_DATA::interlace_start

Referenced by makeZoomBufferStripe(), zoomFilterFastRGB(), and zoomFilterVisualFXWrapper_init().

## ◆ middleX

int _ZOOM_FILTER_FX_WRAPPER_DATA::middleX

Referenced by makeZoomBufferStripe(), and zoomFilterFastRGB().

## ◆ middleY

int _ZOOM_FILTER_FX_WRAPPER_DATA::middleY

Referenced by makeZoomBufferStripe(), and zoomFilterFastRGB().

## ◆ mustInitBuffers

int _ZOOM_FILTER_FX_WRAPPER_DATA::mustInitBuffers

Referenced by zoomFilterFastRGB(), and zoomFilterVisualFXWrapper_init().

## ◆ noisify

char _ZOOM_FILTER_FX_WRAPPER_DATA::noisify

Referenced by zoomFilterFastRGB(), zoomFilterVisualFXWrapper_init(), and zoomVector().

## ◆ params

PluginParameters _ZOOM_FILTER_FX_WRAPPER_DATA::params

Referenced by zoomFilterVisualFXWrapper_free(), and zoomFilterVisualFXWrapper_init().

## ◆ precalCoef

int _ZOOM_FILTER_FX_WRAPPER_DATA::precalCoef[16][16]

modif d'optim by Jeko : precalcul des 4 coefs resultant des 2 pos

Referenced by zoomFilterFastRGB(), and zoomFilterVisualFXWrapper_init().

## ◆ prevX

unsigned int _ZOOM_FILTER_FX_WRAPPER_DATA::prevX

Referenced by makeZoomBufferStripe(), zoomFilterFastRGB(), and zoomFilterVisualFXWrapper_init().

## ◆ prevY

unsigned int _ZOOM_FILTER_FX_WRAPPER_DATA::prevY

Referenced by generateTheWaterFXHorizontalDirectionBuffer(), makeZoomBufferStripe(), zoomFilterFastRGB(), and zoomFilterVisualFXWrapper_init().

## ◆ reverse

int _ZOOM_FILTER_FX_WRAPPER_DATA::reverse

Referenced by zoomFilterFastRGB(), and zoomFilterVisualFXWrapper_init().

## ◆ theMode

char _ZOOM_FILTER_FX_WRAPPER_DATA::theMode

Referenced by zoomFilterFastRGB(), zoomFilterVisualFXWrapper_init(), and zoomVector().

## ◆ vPlaneEffect

int _ZOOM_FILTER_FX_WRAPPER_DATA::vPlaneEffect

Referenced by zoomFilterFastRGB(), zoomFilterVisualFXWrapper_init(), and zoomVector().

## ◆ wave

int _ZOOM_FILTER_FX_WRAPPER_DATA::wave

calculatePXandPY statics

Referenced by zoomFilterVisualFXWrapper_init().

## ◆ waveEffect

int _ZOOM_FILTER_FX_WRAPPER_DATA::waveEffect

Referenced by zoomFilterFastRGB(), and zoomFilterVisualFXWrapper_init().

## ◆ wavesp

int _ZOOM_FILTER_FX_WRAPPER_DATA::wavesp

Referenced by zoomFilterVisualFXWrapper_init().

## ◆ zoom_width

unsigned int _ZOOM_FILTER_FX_WRAPPER_DATA::zoom_width

Referenced by zoomFilterFastRGB().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/post/goom/filters.c